Bug 167994 - Wireless interface cannot be configured with DHCP
Wireless interface cannot be configured with DHCP
Status: CLOSED WORKSFORME
Product: Fedora
Classification: Fedora
Component: system-config-network (Show other bugs)
rawhide
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Harald Hoyer
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2005-09-10 01:16 EDT by Ivan Gyurdiev
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-17 03:26:02 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Ivan Gyurdiev 2005-09-10 01:16:52 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.8b3) Gecko/20050827 Fedora/1.1-0.2.8.deerpark.alpha2 Firefox/1.0+

Description of problem:
I am unable to set my wireless interface ath0 to be configured with DHCP. 
The DHCP option is grayed out, and I have to manually type IP/NETMASK/GATEWAY, and set my DNS.

Version-Release number of selected component (if applicable):
system-config-network-1.3.26-1

How reproducible:
Always

Steps to Reproduce:
1. Try to set DHCP for wireless card


Additional info:
Comment 1 Sammy 2005-09-10 09:40:59 EDT
What kernel and what wireless card? 
Comment 2 Ivan Gyurdiev 2005-09-10 14:49:45 EDT
2.6.13-1.1542_FC5

MadWifi:

00:0d.0 Ethernet controller: Atheros Communications, Inc. AR5212 802.11abg NIC
(rev 01)
Comment 3 Harald Hoyer 2005-09-12 02:37:21 EDT
Try to remove the device and create a new one.
Comment 4 Ivan Gyurdiev 2005-09-12 03:48:33 EDT
Allright, so here's what happened.

1) Device was renamed from ath0:1 to ath0

2) My info was remembered.

3) My WEP key was remembered, but was placed without the 0x, and with dashes
between every 4 digits. This results in an error, and the card won't activate
until fixed (BUG)

4) My channel was fixed to 1, and transmit rate to 5Mb (not 5M). Those were
grayed out in Managed mode, and I couldn't change them. Perhaps this is supposed
to be so, but this resulted in an error (Error for wireless request: "Set Bit
Rate") (BUG). I set mode to Auto, then set channel to 11, transmit rate to Auto,
and reset mode back to Managed (mode of Auto doesn't work - see other bug).

6) I am now able to do the DHCP thing... excellent.



Note You need to log in before you can comment on or make changes to this bug.